Subject: Limit container info requests to one per upload session

Description

An upload consists of the following requests (at most):

a. get container info (block size and hash)

b. check hashmap for missing blocks

c. sent missing blocks one by one

d. set hashmap again to create file

A file upload session may involve more than one upload (e.g. recursive uploads) at the same container.

Use the PithosClient.object_upload container_info_cache parameter to limit the first operation to one per session

That should reduce the http requests by one per file in every recursive upload session

Related issues:

blocked by ./kamaki - Feature # 3707: Cache HEAD response headers of upload_o... Closed 05/09/2013 05/16/2013

Associated revisions

Revision 74c65e80 - 05/15/2013 03:44 pm - Stavros Sachtouris

Cache container info request per upload session

Refs: #3735

Revision 3583ef07 - 05/15/2013 03:45 pm - Stavros Sachtouris

Upload Changelog for container info upload caching

Refs: #3735

History

#1 - 05/15/2013 03:47 pm - Stavros Sachtouris

- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 06/04/2013 01:54 pm - Stavros Sachtouris

- Status changed from Resolved to Closed
